Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#3 2.2 does not seem to work

closed-fixed
yo
9
2005-01-13
2004-07-18
Anonymous
No

Javascript error reported:
Error: uncaught exception: [Exception... "Component
returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED)
[nsIPrefBranch.getIntPref]" nsresult: "0x8000ffff
(NS_ERROR_UNEXPECTED)" location: "JS frame ::
chrome://checky/content/common.js :: checkyW3CHtml ::
line 82" data: no]

Discussion

  • Logged In: NO

    Edit/Preferences.../Checky/Checky - Global
    Preferences/Intranet URL's: localhost
    must be manually entered in NS 7.2 otherwise you get
    "URL not known" error message.
    Very annoying!

     
  • yo
    yo
    2004-10-09

    Logged In: YES
    user_id=631464

    Which operating system do you use? Do you install in profile
    or application folder?

    In all Versions I test (Windows XP english versions of
    Firefox 0.9-1.0pr1, Mozilla 1.7 - 1.7.3 and Netscape 7.0 -
    7.2) everything works fine for me.

    Can you please report more details?

     
  • Logged In: NO

    Mr Yobiz, I'm commenting again in this bugfile. Just a few
    min. ago, I downloaded and installed Mozilla 1.8a5 build
    2004101904 and then installed Checky 2.4 which I had saved
    locally for faster installation (no need to connect and
    download again: practical as I don't have to do this all
    over again for NS 7.2, Firefox 1.0 PR1).
    And again, it looked like Checky 2.4 was not working.

    Error: uncaught exception: [Exception... "Component returned
    failure code: 0x8000ffff (NS_ERROR_UNEXPECTED)
    [nsIPrefBranch.getIntPref]" nsresult: "0x8000ffff
    (NS_ERROR_UNEXPECTED)" location: "JS frame ::
    chrome://checky/content/common.js :: checkyW3CHtml :: line
    82" data: no]

     
  • Logged In: NO

    > Which operating system do you use?

    Windows XP Pro SV1 SP2 with everything updated.

    > Do you install in profile or application folder?

    I believe (not 100% sure) I install in profile... otherwise
    I should install it in profile. I'll report back in here
    more details when I verify this.

    > In all Versions I test (Windows XP english versions of
    > Firefox 0.9-1.0pr1, Mozilla 1.7 - 1.7.3 and Netscape 7.0 -
    > 7.2) everything works fine for me.

    Yes, but what about Mozilla trunk nightly builds? like 1.8ax

    > Can you please report more details?

    What I do is download Check 2.4 and then, when I have
    installed a new nightly build, I open checky-2.4.xpi with
    the browser and it installs instantly: no download to do
    anymore.

    Daniel Ulrich (DU)

     
  • yo
    yo
    2004-12-24

    • status: open --> pending-works-for-me
     
  • yo
    yo
    2004-12-24

    Logged In: YES
    user_id=631464

    Please verify problems in new Checky 2.5 Release. I set this
    bug to pending in the meantime.

    Merry Christmas to all of you! And a healthy new year!

     
  • Logged In: NO

    I can not install Checky 2.5 in Mozilla 1.8a6 build
    2005010105. I get no javascript error reported in the
    console. Usually there is a modal popup window confirming
    that the installation was a success but there is none.
    If I then try to run a simple validation on a page, then the
    js console reports:
    Error: Component returned failure code: 0x8000ffff
    (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getCharPref]
    Source File:
    Line: 2495
    but that comes from Checky 2.4 I guess.

    OTOH, no problem installing Checky 2.5 in Firefox 1.0 build
    20041107 (rv: 1.7.5) and it works as expected.

    DU/GT

    What I do is download checky-2.5.xpi and then install it.

     
  • yo
    yo
    2005-01-02

    Logged In: YES
    user_id=631464

    Shame on me ;-)
    I cannot reproduce this error on my workstation. It seems
    you install Checky 2.5 over an old version of Checky in your
    Profile folder.
    Please can you test the Checky installation in a new and
    empty mozilla AND profile. If this error do not longer
    appear we know old and new Checky's don't want to co exist.

     
  • yo
    yo
    2005-01-02

    • priority: 5 --> 9
    • status: pending-works-for-me --> open-accepted
     
  • Logged In: NO

    I succeeded in installing Checky 2.5 in Netscape 7.2 (rv:
    1.7.2 build 20040804) from the download page.

    --------

    I tried again with Mozilla 1.8a6 build 2005010105 after
    carefully examining everything I could (prefs, Intranet URL,
    etc).

    When I tried again to download checky 2.5 from the download
    page, I got these 2 error messages in the js console:

    Error: Unexpected end of file while searching for 'closing }
    of invalid rule set'.
    Source File:
    http://prdownloads.sourceforge.net/checky/checky-2.5.xpi?use_mirror=heanet
    Line: 54

    Error: Expected declaration but found '/'. Skipped to next
    declaration.
    Source File:
    http://prdownloads.sourceforge.net/checky/checky-2.5.xpi?use_mirror=heanet
    Line: 23

    The modal download + installation progress window never pops
    up. And the "successful installation" modal dialog never
    pops up either.

    But the above does not explain why I can not install checky
    2.5 once the file has been downloaded: e.g.: File/Open
    Ctrl+O and choose path/checky-2.5.xpi on my PC.

    DU/GT

     
  • Logged In: NO

    > I cannot reproduce this error on my workstation. It seems
    > you install Checky 2.5 over an old version of Checky in your
    > Profile folder.

    Yes, most likely. There is no option to uninstall Checky 2.4
    first and then install 2.5. I couldn't find any. In any
    cases, I was able to install 2.5 over 2.4 in Netscape 7.2

    > Please can you test the Checky installation in a new and
    > empty mozilla AND profile. If this error do not longer
    > appear we know old and new Checky's don't want to co exist.

    Will do and will report back in here.

    DU/GT

     
  • Logged In: NO

    I don't know how to explain this: today, Checky works on
    Mozilla 1.8a6 build 2005010105. I don't know for sure if it
    is checky 2.5 or 2.4 which is installed. I'm confused and a
    bit embarassed.

    DU/GT

     
  • Logged In: NO

    Dear sir,

    I installed Mozilla 1.8a6 build 2005010506 and also
    installed the Extension uninstaller (great extension btw).
    The extension uninstaller helped me figured out what was
    installed in my profile and which version of which extension
    was installed. Anyway, anyhow, to make a story short, I'm
    now using Checky 2.5 and it works fine. I would
    suggest/recommend to have a menu-item somewhere stating the
    version of Checky (in the preferences/Checky menu or in the
    Tools/Checky menu somewhere).

    Also, note that this page
    http://extensionroom.mozdev.org/more-info/checky
    needs to be updated as it only mentions version 2.4

    Take care (I love your product!)

    DU/GT

     
  • yo
    yo
    2005-01-13

    Logged In: YES
    user_id=631464

    Daniel, thanks for your work to find the Bug. Good to hear
    that now everything works fine for you. I changed the checky
    web site and added a few more informations about installing
    and updating. A link to the Extension uninstaller is added
    too. I realized your message at
    http://extensionroom.mozdev.org/more-info/checky. Is this
    bug already existing?
    Thanks again for using Checky and reporting!

     
  • yo
    yo
    2005-01-13

    • status: open-accepted --> closed-fixed